aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2012-10-13 14:00:37 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2012-10-13 14:12:56 +0100
commit0e3a9122b4e9ed22a3d9bd69eed0fb22cae0aeec (patch)
tree73ee89f4ce1b78d1b203486dd6810f17da6608fa
parent83dc6e9187ea66c94e33368789097bd7c8d442de (diff)
downloadpaludis-0e3a9122b4e9ed22a3d9bd69eed0fb22cae0aeec.tar.gz
paludis-0e3a9122b4e9ed22a3d9bd69eed0fb22cae0aeec.tar.xz
Deal with extra cruft in IUSE_EFFECTIVE
-rw-r--r--paludis/repositories/e/ebuild/0/list_functions.bash7
1 files changed, 4 insertions, 3 deletions
diff --git a/paludis/repositories/e/ebuild/0/list_functions.bash b/paludis/repositories/e/ebuild/0/list_functions.bash
index 61c9318..0c5d91a 100644
--- a/paludis/repositories/e/ebuild/0/list_functions.bash
+++ b/paludis/repositories/e/ebuild/0/list_functions.bash
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
# vim: set sw=4 sts=4 et :
-# Copyright (c) 2006, 2009 Ciaran McCreesh
+# Copyright (c) 2006, 2009, 2012 Ciaran McCreesh
#
# Based in part upon ebuild.sh from Portage, which is Copyright 1995-2005
# Gentoo Foundation and distributed under the terms of the GNU General
@@ -38,8 +38,9 @@ usev()
useq()
{
if [[ -n "${IUSE_EFFECTIVE:+x}" ]] ; then
- if ! hasq ${1#!} "${IUSE_EFFECTIVE}" ; then
- die "Flag '${1#!}' is not included in IUSE_EFFECTIVE"
+ local i=( $IUSE_EFFECTIVE )
+ if ! hasq ${1#!} "${i[@]#[+-]}" ; then
+ die "Flag '${1#!}' is not included in IUSE_EFFECTIVE=\"${IUSE_EFFECTIVE}\""
fi
fi